/*
 * This file is part of Alida, a Java library for 
 * Automatic Logging of Process Information in Data Analysis.
 *
 * Copyright (C) 2010 - 2011
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Fore more information on Alida, visit
 *
 *    http://www.informatik.uni-halle.de/alida/
 *
 */

/* 
 * Most recent change(s):
 * 
 * $Rev: 3762 $
 * $Date: 2011-05-04 18:22:37 +0200 (Mi, 04 Mai 2011) $
 * $Author: moeller $
 * 
 */

package de.unihalle.informatik.Alida.version;

/**
 * Abstract info class providing version information for auto-documentation.
 *
 * @author moeller
 */
public abstract class ALDVersionProvider {

	/**
	 * Returns a software version identification string for the 
	 * currently running instance.
	 */
	public abstract String getVersion();
	
}
